function [a_data, b_data, num_lines] = ReadDataFile(fileAndPath, p)
    file_handle = fopen(fileAndPath, 'r');

    lines = readlines(fileAndPath);
    

    numLine = 1;
while numLine <= length(lines)
    f_line = convertStringsToChars(lines(numLine, :));
    
   % line_data_num = sscanf(f_line, '%s&%s'); 
    one_past_last_digit = strfind(f_line, '&');
    
    % line_data_bin = de2bi(line_data_num);
    a_num_str = f_line(1:one_past_last_digit-1);
    b_num_str = f_line(one_past_last_digit+1:end);
    
    % Make sure we have the same bits in a and b
    assert(length(a_num_str) == length(b_num_str));

    for ldx=1:length(a_num_str)
        a_data_tmp(ldx) = str2num(a_num_str(ldx));
        b_data_tmp(ldx) = str2num(b_num_str(ldx));
    end
    
    a_data(numLine, :) = a_data_tmp;
    b_data(numLine, :) = b_data_tmp;
    
   numLine = numLine + 1;
end
    num_lines = numLine;
    
    fclose(file_handle);
end